Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.bio
Class SocketConnector.Connection

    java.lang.Object
      org.mortbay.io.bio.StreamEndPoint
          org.mortbay.io.bio.SocketEndPoint
              org.mortbay.jetty.bio.SocketConnector.Connection

All Implemented Interfaces:
  Runnable, EndPoint

Direct Known Subclasses:
  SslSocketConnector.SslConnection

Enclosing class:
  SocketConnector

    protected class SocketConnector.Connection

extends SocketEndPoint
implements Runnable

Field Summary
`protected Socket` | `_socket`

Constructor Summary
`SocketConnector.Connection(Socket socket)`

Method Summary
`void` | `dispatch()`
`int` | `fill(Buffer buffer)` Fill the buffer from the current putIndex to it's capacity from whatever byte source is backing the buffer.
`void` | `run()`

Methods inherited from class org.mortbay.io.bio.SocketEndPoint
`close, getLocalAddr, getLocalHost, getLocalPort, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isOpen`

Methods inherited from class org.mortbay.io.bio.StreamEndPoint
`blockReadable, blockWritable, flush, flush, flush, getInputStream, getOutputStream, isBlocking, isBufferingInput, isBufferingOutput, isBufferred, isClosed, setInputStream, setOutputStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _socket

    protected Socket _socket

Constructor Detail

### SocketConnector.Connection

    public SocketConnector.Connection(Socket socket)
                               throws IOException

Throws:
  `IOException`

Method Detail

### dispatch

    public void dispatch()
                  throws InterruptedException,
                         IOException

  Throws:
    `InterruptedException`
    `IOException`

### fill

    public int fill(Buffer buffer)
             throws IOException

  Description copied from interface: `EndPoint`
  Fill the buffer from the current putIndex to it's capacity from whatever byte source is backing the buffer. The putIndex is increased if bytes filled. The buffer may chose to do a compact before filling.

  Specified by:
    `fill` in interface `EndPoint`
  Overrides:
    `fill` in class `StreamEndPoint`
  Returns:
    an `int` value indicating the number of bytes filled or -1 if EOF is reached.
  Throws:
    `IOException`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.